#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:aclinherit, :parent => Puppet::Parameter::ZfsProperty) do

  desc <<-EOD
    Specifies the ACL inheritance behavior.

        zfs_...{
          ...
          aclinhert => 'restricted'
          ...
        }

    At the moment it accepts the following values:

    - discard'
    - noallow'
    - restricted'
    - passthrough
    - passthrough-x

  EOD

  data_type("Optional[String]")

end
