#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:aclmode, :parent => Puppet::Parameter::ZfsProperty) do

  desc <<-EOD
    Specifies the ACL mode.

        zfs_...{
          ...
          aclmode => 'discard'
          ...
        }

    At the moment it accepts the following values:

    - discard
    - mask
    - passthrough

  EOD

  data_type("Optional[String]")


end
