#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:default_permissions, :parent => Puppet::Parameter::ZfsProperty) do

  desc <<-EOD
    Specifies the default permissions for a file.

        zfs_...{
          ...
          default_permissions => '0700'
          ...
        }
  EOD

  data_type("Optional[String]")


end
