#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:readonly, :parent => Puppet::Parameter::ZfsProperty) do
  include EasyType::Mungers::Boolean

  desc <<-EOD
    Specifies if the project is readonly or not.

        zfs_...{
          ...
          readonly => true
          ...
        }
  EOD

  data_type('Optional[Boolean]')

  newvalues(true, false)

end
