#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:shareftp, :parent => Puppet::Parameter::ZfsProperty) do

  desc <<-EOD
    Specifies if the project or share must be shared with the FTP protocol.

        zfs_...{
          ...
          shareftp => 'on'
          ...
        }
  EOD

  data_type("Optional[String]")

end
