#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:appliance_url) do
  include EasyType

  desc <<-EOD
    The url to connect to.

        zfs_appliance {my_appliance:
          ...
          appiance_url => 'https://192.168.59.10:215',
          ...
        }

  EOD

  data_type("Optional[String[1]]")

  defaultto 'https://zfs_appliance.local:215'

  to_translate_to_resource do | raw_resource|
    raw_resource[self.name]
  end

end
