#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:username) do
  include EasyType

  desc <<-EOD
    The username used to connect to the ZFS appliance.

        zfs_appliance {my_appliance:
          ...
          username => 'root',
          ...
        }


  EOD

  data_type("Optional[String[1]]")

  defaultto 'root'

  to_translate_to_resource do | raw_resource|
    raw_resource[self.name]
  end

end
