#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:root_group, :parent => Puppet::Parameter::ZfsProperty) do

  desc <<-EOD
     Specifies the root group for a file.

        zfs_...{
          ...
          root_group => 'unknown'
          ...
        }

  EOD

  data_type("Optional[String[1]]")
end
