#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:root_permissions, :parent => Puppet::Parameter::ZfsProperty) do

  desc <<-EOD
    Specifies the root permissions for a file.

        zfs_...{
          ...
          root_permissions => '0700'
          ...
        }
  EOD

  data_type("Optional[String[1]]")
end
