#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:share_name) do
  include EasyType

  desc <<-EOD
    The name of the share.

    That is the 4th part of the title

        zfs_...{appliance:pool/project/share:
          ...
        }

  EOD

  data_type("Optional[String[1]]")

  isnamevar

end
