#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:appliance) do
  include EasyType

  desc <<-EOD
    The name of the appliance to connect to.

    This is the first part of the title and is seperated from the rest with a double colon.

        zfs_...{appliance:...
          ...
        }

  EOD

  data_type("Optional[String]")

  isnamevar
end
