#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:checksum, :parent => Puppet::Parameter::ZfsProperty) do

  desc <<-EOD
    Specifies the ACL inheritance behavior.

        zfs_...{
          ...
          checksum => 'fletcher2'
          ...
        }

    At the moment it accepts the following values:
    - fletcher2
    - fletcher4
    - sha256

  EOD

  data_type("Optional[String]")


end
