#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:compression, :parent => Puppet::Parameter::ZfsProperty) do

  desc <<-EOD
    Specifies the type of compression of off.

        zfs_...{
          ...
          compression => 'lzjb'
          ...
        }

    At the moment it accepts the following values:

    - off
    - lzjb
    - gzip-2
    - gzip
    - gzip-9

  EOD

  data_type("Optional[String]")


end
