#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:default_group, :parent => Puppet::Parameter::ZfsProperty) do

  desc <<-EOD
    Specifies the default group id for a file.

        zfs_...{
          ...
          default_group => 'unknown'
          ...
        }
  EOD

  data_type("Optional[String]")

end
