#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:default_user, :parent => Puppet::Parameter::ZfsProperty) do

  desc <<-EOD
     Specifies the default user for a file.

        zfs_...{
          ...
          default_user => 'unknown'
          ...
        }

 EOD

 data_type("Optional[String]")


end
