#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:mountpoint, :parent => Puppet::Parameter::ZfsProperty) do

  desc <<-EOD
    Specifies the mount point .

        zfs_...{
          ...
          mountpoint => '/export/my_share'
          ...
        }
  EOD

  data_type("Optional[String]")
end
