#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:casesensitivity) do
  include EasyType

  desc <<-EOD
    Specify if the share or project uses case sensitive names.

        zfs_...{
          ...
          casesensitivity => 'true'
          ...
        }

    This paramater is only used during creation.

  EOD

  data_type("Optional[String[1]]")
end
