#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:name) do
  include EasyType

  desc <<-EOD
    The full name of the project
  EOD

  data_type("Optional[String[1]]")

  isnamevar

  to_translate_to_resource do | raw_resource|
    appliance = raw_resource.fetch('appliance')
    pool      = raw_resource.fetch('pool')
    project   = raw_resource.fetch('project')
    share     = raw_resource.fetch('name')
    "#{appliance}:#{pool}/#{project}/#{share}"
  end

end
